package digital.laboratory.platform.entrustment.vo;

import digital.laboratory.platform.entrustment.entity.CaseEvent;
import digital.laboratory.platform.entrustment.entity.CaseEvidence;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class CaseEventVO extends CaseEvent {

//	String caseTypeName;
//	String criminalTypeName;
	String caseOrgName;         // 案属机构名称
	String caseOrgShortName;    // 案属机构名称
	String caseCreateUserName;
	String caseUpdateUserName;
	String caseAreaName;        // 案发地的名字(到县一级, 根据 case_area 代码查询到的名字)

//	String caseOwnOrgName;      // 案属机构名称
	List<String> caseOwnOrgAncestors; // 案属机构的祖先 id,  json 字符串数组

	int caseEntrustmentCount;
	int caseEvidenceCount;
	List<CaseEvidence> caseEvidenceList;
}
